summaryrefslogtreecommitdiffstats
path: root/network/seafile-server/seafile
diff options
context:
space:
mode:
Diffstat (limited to 'network/seafile-server/seafile')
-rw-r--r--network/seafile-server/seafile62
1 files changed, 62 insertions, 0 deletions
diff --git a/network/seafile-server/seafile b/network/seafile-server/seafile
new file mode 100644
index 0000000000..0454531932
--- /dev/null
+++ b/network/seafile-server/seafile
@@ -0,0 +1,62 @@
+#!/bin/sh
+
+# Simple `seafile-admin` wrapper script.
+
+# Copyright 2015 Marcel Saegebarth <marc@mos6581.de>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+WORKING_DIR=${WORKING_DIR:-/opt/haiwen}
+PYTHONPATH=$WORKING_DIR/seafile-server/seahub/thirdpart:$PYTHONPATH
+PATH=$PYTHONPATH:$PATH
+SEAFILEUSER=seafile
+
+set -e
+
+execute () {
+ su -s /bin/sh -l $SEAFILEUSER -c "export PYTHONPATH=$PYTHONPATH PATH=$PATH && cd $WORKING_DIR && seafile-admin $1"
+}
+
+case "$1" in
+ start)
+ execute start
+ ;;
+ stop)
+ execute stop
+ ;;
+ setup)
+ execute setup
+ ;;
+ restart)
+ execute stop && execute start
+ ;;
+ reset-admin)
+ execute reset-admin
+ ;;
+ create-admin)
+ execute create-admin
+ ;;
+ *)
+ cat << EOF
+Usage: seafile start|stop|restart|setup|create-admin|reset-admin
+EOF
+ ;;
+esac